Bug Hunting Session
Bug 108711 - Sigining: GPG key selection should only be possible for ODF documents
Summary: Sigining: GPG key selection should only be possible for ODF documents
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Samuel Mehrbrodt (CIB)
URL:
Whiteboard: target:6.0.0 target:5.4.0.2
Keywords:
Depends on:
Blocks: Digital-Signatures
  Show dependency treegraph
 
Reported: 2017-06-23 09:06 UTC by Samuel Mehrbrodt (CIB)
Modified: 2019-06-04 06:17 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel Mehrbrodt (CIB) 2017-06-23 09:06:49 UTC
We can't sign OOXML and PDF documents with GPG, only ODF.
So we should show GPG keys only if we are working with an ODF doc.
Comment 1 Katarina Behrens (CIB) 2017-06-26 09:47:31 UTC
ODF >= 1.2, to be precise
Comment 2 Commit Notification 2017-06-27 07:26:02 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e2378bbf4539455e445205ad868c43246ec423ed

tdf#108711 GPG key selection should only be possible for ODF >= 1.2 documents

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2017-06-28 08:10:29 UTC
Samuel Mehrbrodt committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b9f00fced21014bed6695b962084c8af0249dbc&h=libreoffice-5-4

tdf#108711 GPG key selection should only be possible for ODF >= 1.2 documents

It will be available in 5.4.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.